# opendmarc_policy_fetch_fo()

[back to index]

SYNOPSIS |
    #include <dmarc.h>
    OPENDMARC_STATUS_T opendmarc_policy_fetch_fo(
    	DMARC_POLICY_T *pctx,
    	int *fo
    );
Query the library to find the `fo=` value from the `DMARC` record.
DESCRIPTION |
Called When | `opendmarc_policy_fetch_fo()` is called after the DMARC record has been fetched and parsed.
ARGUMENTS |
Argument | Description
--- | ---
pctx | The address of a structure of type `DMARC_POLICY_T` as returned from opendmarc_policy_connect_init().
fo | The address of an integer to receive the value following the `fo=`, a value (a bitmap) of: `DMARC_RECORD_FO_UNSPECIFIED` if the `fo=` was absent or if no ruf= was specified. `DMARC_RECORD_FO_0` if `fo=0`. `DMARC_RECORD_FO_1` if `fo=1`. `DMARC_RECORD_FO_D` if `fo=d`. `DMARC_RECORD_FO_S` if `fo=s`.
RETURN VALUES | `DMARC_PARSE_OKAY` -- On success. `DMARC_PARSE_ERROR_EMPTY` -- The `pctp` pointer was NULL. `DMARC_PARSE_ERROR_NULL_CTX` -- If you passed in a `fo` pointer value that was NULL.
NOTES | Call this function only after a `DMARC` record was fetched and parsed with opendmarc_policy_query_dmarc() or supplied to the library with opendmarc_policy_store_dmarc().

Copyright (c) 2012, The Trusted Domain Project. All rights reserved.
By using this file, you agree to the terms and conditions set forth in the license.